### Name: Gprop.odds
### Title: Fit Generalized Semiparametric Proportional 0dds Model
### Aliases: Gprop.odds
### Keywords: survival

### ** Examples

library(survival)
data(sTRACE)
# Fits Proportional odds model with stratified baseline
age.c<-scale(sTRACE$age,scale=FALSE); 
out<-Gprop.odds(Surv(time,status==9)~diabetes+prop(age.c)+prop(chf)+
prop(sex)+prop(vf),sTRACE,max.time=7,n.sim=500)
summary(out) 
par(mfrow=c(2,3))
plot(out,sim.ci=2); plot(out,score=1) 

# Fits Proportional odds model with baseline on additive form
# thus giving odds-ratio of dyings for vf and diabetes
out<-Gprop.odds(Surv(time,status==9)~vf+diabetes+prop(age.c)+prop(chf)+
prop(sex),sTRACE,max.time=7,n.sim=500)
summary(out) 
par(mfrow=c(2,3))
plot(out,sim.ci=2); plot(out,score=1) 



