### Name: aalen.test
### Title: Fit additive hazards model
### Aliases: aalen.test
### Keywords: survival

### ** Examples

library(survival)
data(mela.pop)
# Fits Aalen model  with offsets 
dummy<-rnorm(nrow(mela.pop)); 

out<-aalen.test(Surv(start,stop,status==1)~age+sex+const(dummy),
mela.pop,max.time=7,n.sim=500,offsets=mela.pop$rate,id=mela.pop$id,
fix.gam=1)

summary(out)
par(mfrow=c(2,3))
plot(out)

# Fits semi-parametric additive hazards model  with offsets 
out<-aalen.test(Surv(start,stop,status==1)~age+const(sex),
mela.pop,max.time=7,n.sim=500,offsets=mela.pop$rate,id=mela.pop$id)

summary(out)
plot(out)

################################################################
# Computes pseudo.score tests for fixed effects 
data(sTRACE)
out<-aalen.test(Surv(time,status==9)~const(age)+const(sex)+const(diabetes)+
chf+vf,sTRACE,max.time=7,n.sim=500,pseudo.score=500)

summary(out)



