### Name: additive.pls
### Title: Fits PLS for additive hazards model
### Aliases: additive.pls additive.plsR
### Keywords: survival

### ** Examples

library(survival)
data(sTRACE)

### 2 PLS components for the 5 covariates 
### based on Gui-Li approach with constant effects
out<-additive.pls(Surv(time,status==9)~age+sex+
vf+diabetes+chf,sTRACE,max.time=7,pls.dim=2,constant=1)

### 2 PLS components for the 5 covariates 
### based on Gui-Li approach with timevarying effects
out<-additive.pls(Surv(time,status==9)~age+sex+
vf+diabetes+chf,sTRACE,max.time=7,pls.dim=2,constant=0)

### 2 PLS components for the 3 covariates 
### age and sex are fixed covariates 
out<-additive.pls(Surv(time,status==9)~const(age)+const(sex)+
vf+diabetes+chf,sTRACE,max.time=7,pls.dim=2)



