### Name: plot.aalen
### Title: Plots estimates and test-processes
### Aliases: plot.aalen plot.cox.aalen plot.timecox plot.prop.excess
### Keywords: survival

### ** Examples

library(survival)
data(sTRACE)
# Fits Aalen model 
out<-aalen(Surv(time,status==9)~age+sex+diabetes+chf+vf,
sTRACE,max.time=7,n.sim=500)

par(mfrow=c(2,3))
# plots estimates 
plot(out)
# plots tests-processes for time-varying effects 
plot(out,score=TRUE)



