### Name: two.stage
### Title: Fit Clayton-Oakes-Glidden Two-Stage model
### Aliases: two.stage
### Keywords: survival

### ** Examples

library(survival)
data(diabetes)
# Marginal Cox model  with treat as covariate

fit<-two.stage(Surv(time,status) ~ prop(treat) + cluster(id),
diabetes,theta=0.95,detail=0,inverse=0)
summary(fit)

fit<-two.stage(Surv(time,status) ~ prop(treat) + cluster(id),
diabetes,theta=0.95,detail=0,inverse=1)
summary(fit)

# to fit model without covariates, fix beta=0, but still need prop term !
fit<-two.stage(Surv(time,status) ~ prop(treat) + cluster(id),
diabetes,theta=0.95,detail=0,beta.fixed=1,inverse=0)
summary(fit)



